1. Buildings
Ecoland
  • EcoLand
    • Authentication
      • Sign-In
      • Sign-up
      • Refresh Token
    • User
      • Resources
      • User Information
      • User Information
    • Buildings
      • Building Details
        GET
      • All Buildings
        GET
      • Construct Building
        POST
      • List of Possible Construction
        GET
      • Possible Prudctions of a building
        GET
    • Production
      • Cancel Production
      • Start Production
    • Transportation
      • Shipment
    • Admin
      • user-management
        • Users
  • Schemas
    • EcoLand
      • Storage_Base
      • Production_Base
      • Building_Base
      • Product_Base
      • Construciton_Base
      • Shipment_Base
      • ProductionsInOut_List
      • Productions_Def
      • UserInfo
      • UserResources
    • Error_Responses
      • Insufficent_Money
  1. Buildings

List of Possible Construction

Developing
GET
/buildings/constructionlist

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/buildings/constructionlist' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
    "buidlings": [
        {
            "building": {
                "id": 0,
                "name": "string",
                "type": {
                    "def_id": 0,
                    "token_name": "string"
                }
            },
            "cost": 0,
            "time": 0
        }
    ]
}
Modified at 2025-03-04 18:51:49
Previous
Construct Building
Next
Possible Prudctions of a building
Built with